<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AllowNullAlbumNav extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('album_nav', function (Blueprint $table) {
            //
            $table->string('mobile',100)->nullable()->Comment('电话号码')->change();
            $table->string('address',255)->nullable()->Comment('地址')->change();
            $table->string('app_id',255)->nullable()->Comment('App_id')->change();
            $table->string('url',255)->nullable()->comment('页面路径')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('album_nav', function (Blueprint $table) {
            //
        });
    }
}
